Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.internal.services
Enum LinkSecurity

    java.lang.Object
      java.lang.Enum<LinkSecurity>
          org.apache.tapestry5.internal.services.LinkSecurity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LinkSecurity>

    public enum LinkSecurity

extends java.lang.Enum<LinkSecurity>

Identifies how a `Link` should handle security.

Since:
  5.2.2

Enum Constant Summary
`FORCE_INSECURE` The request was was secure but the targeted page is not, so the URI should be absolute and insecure.
`FORCE_SECURE` The request was insecure, but the targeted page was secure, so the URI should be absolute and secure.
`INSECURE` The request is insecure, which matches the targeted page security, so there's no explicit need for an absolute URI.
`SECURE` The request is secure, which matches the targeted page security, so there's no explicit need for an absolute URI.

Method Summary
`boolean` | `isAbsolute()` Does this value indicate forcing an absolute URI (one that includes scheme and hostname)?
`LinkSecurity` | `promote()` Promotes to either `FORCE_SECURE` or `FORCE_INSECURE`.
`static LinkSecurity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LinkSecurity[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FORCE_SECURE

    public static final LinkSecurity FORCE_SECURE

  The request was insecure, but the targeted page was secure, so the URI should be absolute and secure.

### FORCE_INSECURE

    public static final LinkSecurity FORCE_INSECURE

  The request was was secure but the targeted page is not, so the URI should be absolute and insecure.

### INSECURE

    public static final LinkSecurity INSECURE

  The request is insecure, which matches the targeted page security, so there's no explicit need for an absolute URI.

### SECURE

    public static final LinkSecurity SECURE

  The request is secure, which matches the targeted page security, so there's no explicit need for an absolute URI.

Method Detail

### values

    public static final LinkSecurity[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LinkSecurity c : LinkSecurity.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LinkSecurity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### promote

    public LinkSecurity promote()

  Promotes to either `FORCE_SECURE` or `FORCE_INSECURE`.

### isAbsolute

    public boolean isAbsolute()

  Does this value indicate forcing an absolute URI (one that includes scheme and hostname)?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.